curl --request PUT \
--url https://api.slash.com/account/{accountId}/authorization-webhook \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"webhookUrl": "<string>",
"config": {}
}
'{
"webhookUrl": "<string>",
"signingSecret": "<string>",
"timeoutDurationMs": 123,
"config": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Set account authorization webhook
Create or update the authorization webhook configuration for an account. This will upsert the webhook configuration, creating it if it doesn’t exist or updating it if it does.
The secret for a webhook remains static after it is initially created. If you would like to retrieve the secret before sending requests, create the authorization webhook in status ‘inactive’ first and then update it to ‘active’ after.
curl --request PUT \
--url https://api.slash.com/account/{accountId}/authorization-webhook \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"webhookUrl": "<string>",
"config": {}
}
'{
"webhookUrl": "<string>",
"signingSecret": "<string>",
"timeoutDurationMs": 123,
"config": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}Documentation Index
Fetch the complete documentation index at: https://docs.slash.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
API key authentication for public API requests.
Keys come in two flavors:
- Legal-entity-scoped keys are pinned to a single legal entity. Minted via the dashboard under a specific entity; every request acts on that entity.
- User-scoped keys are pinned to a user and span every legal
entity that user has access to. Every request made with a
user-scoped key (except
GET /legal-entity, which lists the legal entities the user can access) must include anx-legal-entityheader naming the legal entity the request is operating on. Requests without the header are rejected with400. The authenticated user must have an active permission role on the supplied legal entity, otherwise the request is rejected with403.
Path Parameters
Body
Response
Authorization webhook created or updated successfully
The URL where authorization webhook events will be sent
Secret used for signing webhook payloads
Current status of the webhook
active, inactive The timeout duration in milliseconds for webhook requests
Configuration specific to the authorization webhook
Show child attributes
Show child attributes
When the webhook was created
When the webhook was last updated